Package org.codehaus.groovy.ast.stmt

# Class ThrowStatement

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.stmt.Statement
org.codehaus.groovy.ast.stmt.ThrowStatement

All Implemented Interfaces:
  `NodeMetaDataHandler`

public class ThrowStatement extends Statement
Represents a throw statement

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ThrowStatement(Expression expression)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Expression`
  `getExpression()`
  `String`
  `getText()`
  `void`
  `setExpression(Expression expression)`
  `void`
  `visit(GroovyCodeVisitor visitor)`

  ### Methods inherited from class org.codehaus.groovy.ast.stmt.Statement

  `addStatementLabel, copyStatementLabels, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, newMetaDataMap, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Constructor Details

  - ### ThrowStatement

    public ThrowStatement(Expression expression)

- ## Method Details

  - ### getExpression

    public Expression getExpression()

  - ### visit

    public void visit(GroovyCodeVisitor visitor)
    Overrides:
      `visit` in class `ASTNode`

  - ### setExpression

    public void setExpression(Expression expression)

  - ### getText

    public String getText()
    Overrides:
      `getText` in class `ASTNode`